Bug 1469781 - Deploying multiple RGWs on different hosts mix up service creation
Deploying multiple RGWs on different hosts mix up service creation
Status: ON_QA
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible (Show other bugs)
2.3
Unspecified Unspecified
high Severity high
: rc
: 3.0
Assigned To: leseb
vidushi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-11 16:13 EDT by Alexandre Marangone
Modified: 2017-09-16 04:06 EDT (History)
11 users (show)

See Also:
Fixed In Version: RHEL: ceph-ansible-3.0.0-0.1.rc6.el7cp Ubuntu: ceph-ansible_3.0.0~rc6-2redhat1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Github ceph/ceph-ansible/pull/1838 None None None 2017-08-31 05:25 EDT

  None (edit)
Description Alexandre Marangone 2017-07-11 16:13:30 EDT
Description of problem:
This is an issue a customer is experiencing that I managed to reproduce on a couple of test VMs.
When deploying multiple RGWs on different machines, one of the RGW machine got its service enabled for itself and the RGW on the other host.

In the following setup I have a radosgw deployed on hosts ceph0 and grafana. If I list the ceph-radosgw services on ceph0, I get both:

[root@ceph0 ~]# systemctl | grep ceph-radosgw
  ceph-radosgw@rgw.ceph0.service                                                           loaded active running   Ceph rados gateway
● ceph-radosgw@rgw.grafana.service                                                         loaded failed failed    Ceph rados gateway
  ceph-radosgw.target                                                                      loaded active active    ceph target allowing to start/stop all ceph-radosgw@.service instances at once

On the grafana host:
[root@grafana ceph-ansible]# systemctl | grep ceph-radosgw
  ceph-radosgw@rgw.grafana.service                                                         loaded active running   Ceph rados gateway
  ceph-radosgw.target                                                                      loaded active active    ceph target allowing to start/stop all ceph-radosgw@.service instances at once

This means that any use of ceph-rados.target will fail. 

Version-Release number of selected component (if applicable): 2.3
Comment 2 seb 2017-07-24 03:58:07 EDT
Please share your inventory file.
Comment 3 Alexandre Marangone 2017-07-24 08:41:20 EDT
I wiped the hosts and not on-site with the customer anymore but it was:
[mons]
ceph0

[osds]
ceph0

[rgws]
ceph0
grafana

[ceph-grafana]
grafana
Comment 4 seb 2017-08-30 18:43:10 EDT
I can reproduce, will send a fix tomorrow.
Comment 5 Ken Dreyer (Red Hat) 2017-08-31 13:47:02 EDT
leseb would you please tag and announce a new version upstream so we can rebase to that version downstream?

Note You need to log in before you can comment on or make changes to this bug.